
QGIS Application - Bug report #7241

Border of vector feature visible even with no pen border

2013-02-27 05:23 AM - gerome Bracquemont

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16269

Description

When I do not want any style border for features, the map shows white lines between objects.

See the file attached

History

#1 - 2013-06-02 08:05 AM - Giovanni Manghi

- OS version deleted (7 )

- Operating System deleted (Windows)

- Priority changed from High to Normal

#2 - 2016-06-20 04:17 PM - Jürgen Fischer

- Subject changed from Border on vector objet visible even with no pen border to Border of vector feature visible even with no pen border

#3 - 2016-06-21 12:05 AM - Jukka Rahkonen

This tends to happen when rendering is using antialiasing. Adding a border line of the same colour as the fill often helps. Not sure if this classifies as a bug

if adding borderline really helps (not tested) but it does puzzle users.

#4 - 2017-03-27 09:14 AM - Johannes Kroeger

- Status changed from Open to Closed

Duplicate of #1963

For what it's worth, the fix of adding the same color to the no-stroke border does not work for me in a satisfying way in 2.18.5.
